import { S3_HOST, S3_ACCESS_KEY, S3_SECRET_KEY, S3_BUCKET } from '$env/static/private';
import { S3Client } from '@aws-sdk/client-s3';

export const s3 = new S3Client({
    region: 'eu-central',
    endpoint: `https://${S3_HOST}`,
    forcePathStyle: true, // Required for many custom S3 endpoints
    credentials: {
        accessKeyId: S3_ACCESS_KEY,
        secretAccessKey: S3_SECRET_KEY
    }
});
